# Copyright (c) 2017, InfluxFramework LLC and contributors
# For license information, please see license.txt


import influxframework
from influxframework import _
from influxframework.model.document import Document


class ProjectType(Document):
	def on_trash(self):
		if self.name == "External":
			influxframework.throw(_("You cannot delete Project Type 'External'"))
